package forum.services;

import java.sql.Connection;
import java.util.List;

import android.database.SQLException;
import forum.dao.AuteurDAO;
import forum.dao.ConnectionFactory;
import forum.model.Auteur;

/**
 * AuteurService
 */
public class AuteurService {

    public List<Auteur> listAuteurs() {
        try (Connection db= ConnectionFactory.getInstance().buildConnection()) {
            return new AuteurDAO(db).findAll();
        } catch(java.sql.SQLException e) {
            throw new RuntimeException(e);
        }
    }
    
    public Auteur auteurParLogin(String login) {
        return null;
    }
}